jQuery(document).ready(function($){
  var mouse_mt_menu = false;

  // open
  $(document.body).on('click', '.menu-botn' ,function(e){
    e.preventDefault();
    $('.menu > ul').toggleClass('in');
  });

  // close
  $('.menu').hover(function(){
    mouse_mt_menu=true;
  }, function(){
    mouse_mt_menu=false;
  });

  $("body").mouseup(function(){
    if(! mouse_mt_menu) $('.menu > ul').removeClass('in');
  });

  // submenu
  $(".menu-item-has-children > a").click(function(e) {
    e.preventDefault();
    $( this ).toggleClass( "submdbact" );
    $( this ).next().toggleClass( "submdb" );
  });
});